Get more from your Mavic
The largest Mavic community in the world
Join Us Now

What is going on with DJI GO

abadrs

Well-Known Member
Joined
Dec 15, 2017
Messages
66
Reactions
16
Age
54
Every update I accept (which seems like every day) my video keeps getting worse from the FPV side of things. First my Nexus 7 started getting all blotchy and the normal reasons were given why this was happening. Tablet too old etc.. Which I don't buy at all since it's listed as an approved device. Now tonight my Galaxy S7 that I've NEVER had a problem using is doing the same thing. I'm getting a little frustrated. I don't really want to have to start buying the latest greatest devices to view my Mavic. I tried going back on firmware but it only lets me fly a few times then forces me to update before I can fly. Not sure what to do. I recently sold my Phantom 3 Standard with the DBS antenna and seriously starting to think I sold the wrong drone.
 
Last edited:
  • Like
Reactions: Drgnfli

davidkmcw

Active Member
Joined
Feb 17, 2017
Messages
36
Reactions
7
Location
Walled Lake, MI
For the first time last week, I started getting video interference, I downgraded DJI Go 4 to 4.2.14 and now all is well
 
  • Like
Reactions: dewster

hillridge

Active Member
Joined
Sep 13, 2017
Messages
30
Reactions
4
Age
40
I updated to the latest app after installing the Oreo update on my S7, and it made the Mavic unusable. Garbage video that was pixelated and artifact filled at best and completely dropped out with the drone less than 10ft away at worst. I rolled all the way back to 4.2.12 (without trying any other ones) and these issues went away.

If you turn off auto-update, you shouldn't have to update anything. I've been using the rolled back FW since Friday without issue.

I'm still on v01.03.0400 of the aircraft FW, and every time I think about finally "upgrading" to the latest, DJI reminds me that newer is not necessarily better.
 

abadrs

Well-Known Member
Joined
Dec 15, 2017
Messages
66
Reactions
16
Age
54
I'm thinking I went back to .100 for drone and controller and .14 with Go4 app. Seems ok on S7 and useable on Nexus 7
 

hillridge

Active Member
Joined
Sep 13, 2017
Messages
30
Reactions
4
Age
40
The one issue I do have now after going back to 4.2.12 is that photos no longer automatically sync to my phone (yes the settings is on). I have to manually go into the gallery, select them all, and tell them to transfer.
 

BikerGeek

Well-Known Member
Joined
Feb 27, 2018
Messages
60
Reactions
28
Age
59
OK, It's not just me then. Both my S7 and my Galaxy Tab had issues. the S7 would get blotchy and cut in and out, the Tab would get purple lines across the screen. video on the sd card was fine though.
 

dirkclod

Moderator
Staff Member
Premium Pilot
Joined
Oct 12, 2016
Messages
18,363
Reactions
36,478
Age
66
Location
Amory , MS
Maybe it’s just a setting you missed BG.
Could be the app just needs more than what your devices
can handle. Don’t know but do know I honestly have never
had any issue’s with any of the app updates with my pads.
Only ones I have had was with my sd cards which went
away when I changed them.
 

dewster

Well-Known Member
Joined
Nov 11, 2016
Messages
1,171
Reactions
486
Age
50
Downgrade DJI GO4 and take your device offline. I was getting video breakups when my Mavic was only 4 feet away. Problem solved after downgrading the software.
 

BikerGeek

Well-Known Member
Joined
Feb 27, 2018
Messages
60
Reactions
28
Age
59
Maybe it’s just a setting you missed BG.
Could be the app just needs more than what your devices
can handle. Don’t know but do know I honestly have never
had any issue’s with any of the app updates with my pads.
Only ones I have had was with my sd cards which went
away when I changed them.

They worked the last time I used them about a month before.
 

Snort 01

Member
Joined
Mar 27, 2018
Messages
14
Reactions
5
Age
75
Location
North Myrtle Beach, SC
I had the same frustrating problem a month ago. Completely gave up on Go4 and bought and installed Litchi after given that advice.
I have made several flights with it, viewed many Utube videos and loving it.
 

hillridge

Active Member
Joined
Sep 13, 2017
Messages
30
Reactions
4
Age
40
Do you need to have the latest version of Go installed in order for geo-fence unlocks to work? I tried to fly near an airport today (after getting ATC approval), and all my Go App said was "Can Not Fly". This was a yellow restricted zone according to their map, but I couldn't self authorize or even fly at the crippled 30/50 limits. I rebooted everything (controller, drone, app, phone) and could not get any authorization prompts to come up. I am a few versions behind after downgrading from the hot garbage the latest version is.

Does Litchi have as much of a nanny lockout to it, or do they just warn you but then allow you to make your own decisions? I wasted a lot of time today due to this nonsense.
 

jrmrzMavic

Member
Joined
Jun 17, 2018
Messages
8
Reactions
0
Location
Austin, Texas
I had to first fly my New Mavic Pro without the Galaxy Tab 8.4 (2014) after installing the latest version of 4.02.02. The feedback to the Tablet was distorted. I finally flew it with just the controller, not visual. This happened after two of the bast Mavic pilots in the group tryed helping to set up all the components concluded that both, the tablet and Sansung telephone where not working. Now, the both worked fine before the software update. Any recommendations?.
 

conchman

Well-Known Member
Joined
Apr 24, 2018
Messages
254
Reactions
99
Age
54
Location
Puerto Plata, Dominican Republic
I had to first fly my New Mavic Pro without the Galaxy Tab 8.4 (2014) after installing the latest version of 4.02.02. The feedback to the Tablet was distorted. I finally flew it with just the controller, not visual. This happened after two of the bast Mavic pilots in the group tryed helping to set up all the components concluded that both, the tablet and Sansung telephone where not working. Now, the both worked fine before the software update. Any recommendations?.

Unless you are willing to get a new phone or tablet, you can either wait for DJI to fix this, which may never happen, or downgrade to 4.2.16. I assume you are on 4.2.20 not 4.2.02. I am not sure how to do this downgrade, I had to get a new phone anyway and 4.2.20 works fine on the S9+.
 

mattball

Well-Known Member
Joined
Jun 23, 2018
Messages
83
Reactions
27
Age
46
Here is how to downgrade:

Copy files from DJI Record folder or any others you want to save first. These are cache files of flights.
Sync your records to your DJI acct (if you choose to)

Uninstall the latest GO4 app
Delete the DJI folder from the mobile device internal storage (not sd)
Install the 4.2.16 apk if you also have a Spark or Air. If not you can go back further. 4.2.12 is popular.
Go to Play Store and defeat the "auto update" on GO4 app. That will keep your app on the version you like.
Reboot your device.
Happy Flying in Android land again.
 
DJI Drone Service
Lycus Tech Mavic Air 2 Case

New Threads

Forum statistics

Threads
104,398
Messages
1,208,711
Members
133,068
Latest member
ianjpinch